Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.event
Class EditEvent

    java.lang.Object
      java.util.EventObject
          de.grogra.pf.ui.event.EditEvent

All Implemented Interfaces:
  Context, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  InputEditEvent, UIPropertyEditEvent, ViewSelectionChanged

    public class EditEvent

extends java.util.EventObject
implements Context, java.lang.Cloneable

An `EditEvent` is an event within the context of the graphical user interface.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`EditEvent()`

Method Summary
`EditEvent` | `clone(java.lang.Object source)`
`java.lang.Object` | `getComponent()` Determines the GUI component of this GUI context.
`Panel` | `getPanel()` Determines the panel of this GUI context.
`Window` | `getWindow()` Determines the window of this GUI context.
`Workbench` | `getWorkbench()` Determines the workbench of this GUI context.
`protected java.lang.String` | `paramString()`
`EditEvent` | `set(Context context)`
`EditEvent` | `set(Context context, java.lang.Object source)`
`EditEvent` | `set(Panel panel, java.lang.Object component, java.lang.Object source)`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditEvent

    public EditEvent()

Method Detail

### clone

    public EditEvent clone(java.lang.Object source)

### getComponent

    public java.lang.Object getComponent()

  Description copied from interface: `Context`
  Determines the GUI component of this GUI context.

  Specified by:
    `getComponent` in interface `Context`
  Returns:
    this context's component

### getPanel

    public Panel getPanel()

  Description copied from interface: `Context`
  Determines the panel of this GUI context.

  Specified by:
    `getPanel` in interface `Context`
  Returns:
    this context's panel

### getWindow

    public Window getWindow()

  Description copied from interface: `Context`
  Determines the window of this GUI context.

  Specified by:
    `getWindow` in interface `Context`
  Returns:
    this context's window

### getWorkbench

    public Workbench getWorkbench()

  Description copied from interface: `Context`
  Determines the workbench of this GUI context.

  Specified by:
    `getWorkbench` in interface `Context`
  Returns:
    this context's workbench

### paramString

    protected java.lang.String paramString()

### set

    public EditEvent set(Context context)

### set

    public EditEvent set(Context context,
                         java.lang.Object source)

### set

    public EditEvent set(Panel panel,
                         java.lang.Object component,
                         java.lang.Object source)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD